org.apache.log4j.rolling

## Class RolloverDescriptionImpl

- java.lang.Object
- - org.apache.log4j.rolling.RolloverDescriptionImpl

- All Implemented Interfaces:
    RolloverDescription

      public final class RolloverDescriptionImpl
      extends Object
      implements RolloverDescription

  Description of actions needed to complete rollover.
  Author:
    Curt Arnold

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolloverDescriptionImpl(String activeFileName, boolean append, Action synchronous, Action asynchronous)` Create new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveFileName()` Active log file name after rollover.
    `boolean` | `getAppend()` Specifies if active file should be opened for appending.
    `Action` | `getAsynchronous()` Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.
    `Action` | `getSynchronous()` Action to be completed after close of current active log file before returning control to caller.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RolloverDescriptionImpl

          public RolloverDescriptionImpl(String activeFileName,
                                 boolean append,
                                 Action synchronous,
                                 Action asynchronous)

      Create new instance.
      Parameters:
        `activeFileName` - active log file name after rollover, may not be null.
        `append` - true if active log file after rollover should be opened for appending.
        `synchronous` - action to be completed after close of current active log file, may be null.
        `asynchronous` - action to be completed after close of current active log file and before next rollover attempt.

  - ### Method Detail

    - #### getActiveFileName

          public String getActiveFileName()

      Active log file name after rollover.
      Specified by:
        `getActiveFileName` in interface `RolloverDescription`
      Returns:
        active log file name after rollover.

    - #### getAppend

          public boolean getAppend()

      Specifies if active file should be opened for appending.
      Specified by:
        `getAppend` in interface `RolloverDescription`
      Returns:
        if true, active file should be opened for appending.

    - #### getSynchronous

          public Action getSynchronous()

      Action to be completed after close of current active log file before returning control to caller.
      Specified by:
        `getSynchronous` in interface `RolloverDescription`
      Returns:
        action, may be null.

    - #### getAsynchronous

          public Action getAsynchronous()

      Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.
      Specified by:
        `getAsynchronous` in interface `RolloverDescription`
      Returns:
        action, may be null.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.